High CPU Load when using securemail (server side)

RESOLVED WORKSFORME

Status

()

bugzilla.mozilla.org
Extensions: SecureMail
RESOLVED WORKSFORME
4 years ago
4 years ago

People

(Reporter: naehring, Unassigned)

Tracking

Production

Details

(Reporter)

Description

4 years ago
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:30.0) Gecko/20100101 Firefox/30.0 (Beta/Release)
Build ID: 20140611060104

Steps to reproduce:

Sending encrypted Bugmail to a group of recipients.


Actual results:

Results in server side high cpu load (100% until timeout of the script) and not sending mails.


Expected results:

Normal workflow, sending mails, returning to the bug.
this may be an issue with the version of the Crypt::OpenPGP library you're using -- see https://rt.cpan.org/Public/Bug/Display.html?id=68018
(Reporter)

Comment 2

4 years ago
I can reproduce the behaviour with the installed version of the perl crypt openpgp. I've downgraded the installed one to Crypt-OpenPGP-1.04 and the test results looks promising.
I'll test that version with bugzilla right now.
(Reporter)

Comment 3

4 years ago
Okay, this looks good. I had to remove the delivered libs in <bugzilladir>/libs. Just like the README there said. After that, I executed checksetup.pl, installed the missing libs and now it looks working. 

I will test some encrypted bugmails now. 

Thanks
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
glob: should we update the Config.pm to blacklist the non-working versions?

Gerv
(In reply to Gervase Markham [:gerv] from comment #4)
> glob: should we update the Config.pm to blacklist the non-working versions?

excellent idea - i forgot we could blacklist versions :)

To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   7dc9415..4b300bd  master -> master
(Reporter)

Comment 6

4 years ago
Wrong. I am running 1.04 with success, previous used version was 1.07. 1.04 is working.
You need to log in before you can comment on or make changes to this bug.